#
# Spec file for ocfs-tools
#

# Macros
# This one is hardcoded because, well, it belongs there
%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

Summary: Tools for managing the Oracle Cluster Filesystem
Name: ocfs-tools
Version: 1.0.10
Release: 1.2AX
Copyright: GPL
Group: System Environment/Kernel
Source0: ocfs-tools-1.0.10.tar.gz
Source1: ocfs.conf
Patch0: ocfs-tools-1.0.10-ocfs.init.patch
URL: http://oss.oracle.com/projects/ocfs-tools/
Exclusiveos: Linux
Requires: ocfs-support >= 1.0.10, gtk+ >= 1.2.8
BuildRequires: gtk+-devel >= 1.2.8

BuildRoot: %{_tmppath}/ocfs-tools-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root

%description
Tools to manage the Oracle Cluster Filesystem


%package -n ocfs-support
Summary: Support programs for the Oracle Cluster Filesystem
Group: System Environment/Kernel
Requires: fileutils, sh-utils, net-tools, modutils, chkconfig
AutoReqProv: No


%description -n ocfs-support
Support programs for using the Oracle Cluster Filesystem.


%prep
%setup -n ocfs-tools-%{version}

%patch0 -p1

%build
%configure --prefix=/usr --mandir=/usr/share/man
make


%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
IVENDOR=redhat
cp -f vendor/$IVENDOR/ocfs.init $RPM_BUILD_ROOT/etc/init.d/ocfs
#ln -s ocfs $RPM_BUILD_ROOT/etc/init.d/ocfs2

for tool in format fsck load_ocfs ocfs_uid_gen
do
  cd $tool; make DESTDIR="$RPM_BUILD_ROOT" sbindir=/sbin install; cd ..
done

for tool in debugocfs ocfstool
do
  cd $tool; make DESTDIR="$RPM_BUILD_ROOT" install; cd ..
done
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc

%clean
rm -rf "$RPM_BUILD_ROOT"


%pre -n ocfs-support
# Cleanup for bad RPMs
if [ -e /usr/sbin/load_ocfs ] ; then
	rm -f /usr/sbin/load_ocfs
fi

if [ -e /usr/sbin/ocfs_uid_gen ] ; then
	rm -f /usr/sbin/ocfs_uid_gen
fi

%post -n ocfs-support


%files
%defattr(-,root,root)
/usr/sbin
/usr/share


%files -n ocfs-support
%defattr(-,root,root)
/sbin/load_ocfs
#/sbin/load_ocfs2
/sbin/mkfs.ocfs
#/sbin/mkfs.ocfs2
/sbin/tuneocfs
/sbin/resizeocfs
/sbin/mounted.ocfs
/sbin/fsck.ocfs
/sbin/ocfs_uid_gen
%config /etc/init.d/ocfs
#%config /etc/init.d/ocfs2
%config(noreplace) /etc/ocfs.conf


%changelog
* Thu Nov 04 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com> 1.0.10-1.2AX
- Not enabled ocfs service by default

* Tue Oct 26 2004 Seiichi Ikarashi <ikarashi@miraclelinux.com> 1.0.10-1.1AX
- Modified spec for Asianux
- Modified /etc/init.d/ocfs for Asianux kernel (Patch0)
- Added /etc/ocfs.conf (Source1)

* Wed Jan 28 2004 Manish Singh <manish.singh@oracle.com>
- Split out tools

* Thu Mar 27 2003 Joel Becker <joel.becker@oracle.com>
- Added %if %{up} and ocfs-support Requires

* Thu Mar 27 2003 Bryce	<philip.copeland@oracle.com>
- Initial swipe at rpm spec file cleanup
